package com.zcloud.mapper.dsno2.system;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：图片管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
public interface ImgFileMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteList(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);
	List<PageData> listAllByIds(PageData pd);

	/**查询隐患验收照片
	 * @param pd
	 * @throws Exception
	 */
	List<String> listHiddenCheckImgs(PageData pd);

	/**删除隐患验收照片
	 * @param pd
	 * @throws Exception
	 */
	void deleteHiddenCheckImgs(PageData pd);

	/**查询隐患照片(包括隐患照片和整改照片)
	 * @param pd
	 * @throws Exception
	 */
	List<String> listHiddenImgs(PageData pd);

	/**删除隐患照片（包括隐患照片及整改照片）
	 * @param pd
	 * @throws Exception
	 */
	void deleteHiddenImgs(PageData pd);


}

